Subject: Need Help
From: Dimpy Chawla <[email-masked]>
To: Vimal Tewari <[email-masked]>
Date: Mon, 29 Mar 2021 19:15:46 -0700 (MST)

Hi Vincent, 

Greetings for the day. I hope you are doing well. 

I need your guidence in ticket number #100507. How can I move further for the refund process because this thing is totally slip out of my mind after all these months. Can you please help me and guide me in this so that I will not create any mistake and mess after this. I need your gudence that is why I haven't replied Dr. Sam via mail till now. I have also asked this to Dave as well but he is not responding, I guess he was not in his shift yesterday. Could you please do a favor, please handle this. I am handing you a responsibility for this. Please take care of this ticket. 

Thanks in advance. 
Davina